<?php
include("../includes/session.php");
include("../includes/functions.php");
include("../includes/liborders.inc.php");
include("../includes/db.php");
session(2);

//controllo sempre di stare operando su un mio lavoratore
checkMioDipendente($_REQUEST['lav_cod']);

// print_r($_REQUEST); echo "<br>";
// die("st");
// print_r($_GET); echo "<br>";
// die("st");
// print_r($_POST); echo "<br>";
// die("st");

//salvo scelta custom
if(!empty($_POST['ordabb_cod'])){

	$ordabb_cat = getAbbigliamentoCat(true,$_POST['abbcat_id'])->abbcat_tipo;

	//verifico che abbia punti a sufficienza per prendere questo articolo
	if($_POST['qty'] > 0){
		if(!youCanBuy($ordabb_cat)){
			echo "ATTENZIONE! Con questo articolo superi il punteggio massimo per questo lavoratore.\nPer poterlo selezionare " .( $_POST['qty'] > 1 ? "diminuisci la quantità o " : "")." rimuovi un altro capo di abbigliamento";
			die();
		}
	}


	//rimuovo qualsiasi scelta custom precedente, per questo articolo (o per questa categoria se calzatura, perche posso averne solo una)
	if($ordabb_cat <> 'CAL')
		mysql_query("DELETE FROM ordini_customchoice WHERE ord_id=".$_SESSION['ord_id']." AND lav_cod=".intval($_POST['lav_cod'])." AND ordabb_cod='".cleanstr($_POST['ordabb_cod'])."' AND abbcat_id=".intval($_POST['abbcat_id']));
	else
		mysql_query("DELETE FROM ordini_customchoice WHERE ord_id=".$_SESSION['ord_id']." AND lav_cod=".intval($_POST['lav_cod'])." AND abbcat_id=".intval($_POST['abbcat_id']));


	//controllo se e' un ORD = 0, ovvero default
	$result = mysql_query("SELECT * FROM ordini_abb_lav
	LEFT JOIN ordini_abb ON ordini_abb_lav.ordabb_id = ordini_abb.ordabb_id
	WHERE
	ordabb_cod='".cleanstr($_POST['ordabb_cod'])."'
	AND ord_id = ".$_SESSION['ord_id']."
	AND lavoro_id = ".intval($_POST['lavoro_id'])."
	AND ord = 0");
	$defaultArticle = mysql_num_rows($result) == 1 ? true : false;


	//scelta articolo custom, (se non e' articolo default o default ma qta > 1)
	if($_POST['qty'] > 0 && !$defaultArticle || $_POST['qty'] > 1){

		//se è una calzatura posso selezionarne solo una, quindi rimuovo quella default
		if($ordabb_cat == 'CAL'){
			$result = mysql_query("
			SELECT ordabb_cod FROM ordini_abb_lav
			LEFT JOIN ordini_abb ON ordini_abb_lav.ordabb_id = ordini_abb.ordabb_id
			WHERE
			abbcat_id='".intval($_POST['abbcat_id'])."'
			AND ord_id = ".$_SESSION['ord_id']."
			AND lavoro_id = ".intval($_POST['lavoro_id'])."
			AND ord = 0");
			if(mysql_num_rows($result) == 1){
				$ordabb_cod = mysql_result($result,0,'ordabb_cod');
				mysql_query("INSERT INTO ordini_customchoice (ord_id,lav_cod,ordabb_cod,abbcat_id,remove) VALUES (".$_SESSION['ord_id'].",".intval($_POST['lav_cod']).",'".$ordabb_cod."',".intval($_POST['abbcat_id']).",1)");
			}
		}


		$result = mysql_query("
		INSERT INTO ordini_customchoice (ord_id,lav_cod,ordabb_cod,abbcat_id,qty) VALUES (
		".$_SESSION['ord_id'].",".intval($_POST['lav_cod']).",'".cleanstr($_POST['ordabb_cod'])."',".intval($_POST['abbcat_id']).",".intval($_POST['qty'])."
		)");

	//rimozione articolo default
	}else if($_POST['qty'] == 0 && $defaultArticle){
		mysql_query("INSERT INTO ordini_customchoice (ord_id,lav_cod,ordabb_cod,abbcat_id,remove) VALUES (".$_SESSION['ord_id'].",".intval($_POST['lav_cod']).",'".cleanstr($_POST['ordabb_cod'])."',".intval($_POST['abbcat_id']).",1)");
	}

	die();
}

//display articolo
if(isset($_GET['id'])){

	//estraggo i dati dell'articolo
	$result = mysql_query($q="
	SELECT ordini_abb.*, ordini_abb_lav.ord FROM ordini_abb
	LEFT JOIN ordini_abb_lav ON ordini_abb.ordabb_id = ordini_abb_lav.ordabb_id
	WHERE
	ordini_abb_lav.lavoro_id = ".intval($_GET['lavoro_id'])." AND
	ordini_abb_lav.ordabb_id = ".intval($_GET['id']));

	if(mysql_num_rows($result) == 0)
		die ("Impossibile trovare l'articolo");

	$img = '../artimages/'.intval($_GET['id']).'.png';
	if(!is_file($img)) $img = '../../images/noimage.png';
	$ordabb_id = mysql_result($result,0,'ordabb_id');
	$ordabb_nome = mysql_result($result,0,'ordabb_nome');
	$ordabb_cod = mysql_result($result,0,'ordabb_cod');
	$ordabb_descr = mysql_result($result,0,'ordabb_descr');
	$abbcat_id = mysql_result($result,0,'abbcat_id');
	$ordabb_pnt = mysql_result($result,0,'ordabb_pnt');
	$ord = mysql_result($result,0,'ord');
	$ordabb_cat = getAbbigliamentoCat(true,$abbcat_id)->abbcat_tipo;

	//controllo se questo articolo e' quello default per la sua categoria, se l'ha scelto come articolo custom o se l'ha rimosso
	$qty = 0;
	$result = mysql_query($q="
	SELECT * FROM ordini_customchoice WHERE
	lav_cod = ".$_REQUEST['lav_cod']." AND
	ord_id=".$_SESSION['ord_id']." AND
	ordabb_cod='".$ordabb_cod."'");
	if(mysql_num_rows($result) == 1){
		if(mysql_result($result,0,'ordabb_cod') == $ordabb_cod && mysql_result($result,0,'remove') == 0)
			  $qty =  mysql_result($result,0,'qty');
	}else if($ord == 0){
		$qty = 1;
	}

	$qty_opt = '';
	if($ordabb_cat == 'CAL'){

		if($qty == 1){
			$qty_opt = '<option value="1">1</option>';
		}else{
			for($i=0;$i<2;$i++)
				$qty_opt .=	'<option value="'.$i.'">'.$i.'</option>';
		}
	}else{
		for($i=0;$i<9;$i++)
			$qty_opt .=	'<option'. ($i==$qty ? ' selected="selected"' : '') .' value="'.$i.'">'.$i.'</option>';
	}

	echo '
	<div class="abb_show_outer">
		<div class="abb_show_img">
			<img src="../'.$img.'" />
		</div>
		<div class="abb_show_dett">
			<div class="abb_show_name">'.$ordabb_nome.'</div>
			<div class="abb_show_descr_label">Descrizione:</div>
			<div class="abb_show_descr">'.$ordabb_descr.'</div>
			<div class="clear"><!-- --></div>
			<span class="abb_show_qty">
				<span class="abb_show_qty_label">Quantit&agrave; ordinate per <span class="lav_name"></span></span>
				<select name="qty" id="qty" onChange="selectArticle()" name="qty">'.$qty_opt.'</select><img src="../../../images/loading16.gif" />
			</span>
			<div class="clear"><!-- --></div>
			<input type="hidden" name="ordabb_cod" value="'.$ordabb_cod.'" />
			<input type="hidden" name="abbcat_id" value="'.$abbcat_id.'" />
			<input type="hidden" name="ordabb_id" value="'.$ordabb_id.'" />
			<input type="hidden" name="abb_pnt" value="'.$ordabb_pnt.'" />
		</div>
		<div class="clear"><!-- --></div>
	</div>
	';
	die();
}

//guardo se ha degli articoli custom, così li mostro per primi
$custom_choice_cod = '';

$sql = "
	SELECT ordabb_cod
	FROM ordini_customchoice
	WHERE
		lav_cod = ".intval($_REQUEST['lav_cod'])." AND
		ord_id = ".intval($_SESSION['ord_id'])." AND
		abbcat_id = ".intval($_REQUEST['cat_id'])." AND
		remove = 0
";
// echo $sql;echo "<br>"; die("st");
$result = mysql_query($sql);

if(mysql_num_rows($result) == 1){
	$custom_choice_cod = mysql_result($result,0,'ordabb_cod');
}

//estraggo eventuali ulteriori articoli di questa categoria di abbigliamento, per quest'ordine per questo tipo di lavoratore

$sql = "
	SELECT ordini_abb.*
	FROM ordini_abb LEFT JOIN ordini_abb_lav ON ordini_abb.ordabb_id = ordini_abb_lav.ordabb_id
	WHERE
		ordini_abb.abbcat_id = ".intval($_REQUEST['cat_id'])." AND
		lavoro_id = ".intval($_REQUEST['lavoro_id'])." AND
		ordini_abb.ord_id = ".intval($_SESSION['ord_id'])."
	ORDER BY
		ordini_abb.ordabb_cod = '".$custom_choice_cod."' DESC,
		ord,
		ordabb_nome,
		ordini_abb.ordabb_cod
";
// echo $sql;echo "<br>"; die("st");
$result = mysql_query($sql);

$show_box = '';
$no_available = '';

if(mysql_num_rows($result) > 1){

	$available_articles = '
	<div id="available_articles">
	<h3>Sono disponibili diversi modelli. Ne desideri un altro? Sceglilo qui sotto:</h3>';

	while($row = mysql_fetch_array($result)){

		//id primo articolo da mostrare
		if(!isset($id))
			$id = $row['ordabb_id'];

		$ordabb_cod = $row['ordabb_cod'];
		$ordabb_nome = $row['ordabb_nome'];

		$available_articles .= '
			<a id="art'.$row['ordabb_id'].'" href="javascript:showItem('.$row['ordabb_id'].','.intval($_REQUEST['lavoro_id']).')">
				'.$ordabb_nome.'
			</a>';
	}

	$available_articles .= '</div>';

} else {

	//e' disponibile un solo articolo per questa categoria, memorizzo id per mostrarlo
	if(mysql_num_rows($result) == 1){
		$id = mysql_result($result,0,'ordabb_id');
	//categoria di articoli non disponibile per questo ordine
	}else{
		$show_box = ' style="display:none"';
		$no_available = '<div class="no_items">Articolo non disponibile per questa fornitura di vestiario</div>';
	}
}


?>
<form action="../../dialogs/abbigliamento_choose.php" id="f_selAbb" onsubmit="return false;">
    <div id="abb_show"<?php echo $show_box;?>></div>
    <input type="hidden" name="lav_cod" id="lav_cod" value="<?php echo intval($_REQUEST['lav_cod']); ?>" />
    <input type="hidden" name="lavoro_id" id="lavoro_id" value="<?php echo intval($_REQUEST['lavoro_id']); ?>" />
</form>

<?php echo $available_articles;?>

<div class="clear"><!-- --></div>

<?php echo $no_available;?>

<script language="javascript">
showItem(<?php echo intval($id);?>,<?php echo intval($_REQUEST['lavoro_id']);?>);
</script>
